Page MenuHomePhabricator

[betalabs] Regression - editing & switch editor icons are missing
Closed, ResolvedPublic

Description

In betalabs click to create a new topic -a topic text placeholder will be displayed empty without any editing icons or switchEditor icon. The same is true for the Board description.

Details

Related Gerrit Patches:

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 12:14 AM

Two users up_user= 6352 sees all editing icons; up_user=6386 does not see the icons.

MariaDB [enwiki]> select * from user_properties where up_user in (6352, 6386);
+---------+-----------------------------------------+------------------------------------------+
| up_user | up_property                             | up_value                                 |
+---------+-----------------------------------------+------------------------------------------+
|    6352 | cx                                      | 0                                        |
|    6352 | echo-subscriptions-email-article-linked | 1                                        |
|    6352 | echo-subscriptions-email-edit-thank     | 1                                        |
|    6352 | echo-subscriptions-email-mention        | 1                                        |
|    6352 | echo-subscriptions-email-page-review    | 1                                        |
|    6352 | echo-subscriptions-web-reverted         |                                          |
|    6352 | timecorrection                          | Offset|0                                 |
|    6352 | uls-compact-links                       | 0                                        |
|    6352 | watchlisttoken                          | e860394fc967df616013896e6d30d1ef3465def1 |
|    6352 | wikibase-otherprojects                  | 0                                        |
|    6386 | echo-seen-time                          | 20150716134958                           |
|    6386 | echo-subscriptions-email-article-linked | 1                                        |
|    6386 | echo-subscriptions-email-edit-thank     | 1                                        |
|    6386 | echo-subscriptions-email-mention        | 1                                        |
|    6386 | echo-subscriptions-email-page-review    | 1                                        |
|    6386 | echo-subscriptions-web-article-linked   | 1                                        |
|    6386 | echo-subscriptions-web-reverted         |                                          |
|    6386 | flow-editor                             | none                                     |
|    6386 | watchlisttoken                          | 6fd50e78d3b0dd5d42faf06d79c0f8489436367c |
+---------+-----------------------------------------+------------------------------------------+

There are only three users with that flow-editor = none. Would be interesting to check?

MariaDB [enwiki]> select user_name from user where user_id in (select up_user from user_properties where up_property='flow-editor' and up_value='none');
+----------------+
| user_name      |
+----------------+
| Sbisson-beta   |
| Test3544535452 |
| ET3            |
| DannyH (WMF)   |
+----------------+
4 rows in set (0.00 sec)
Etonkovidova added a comment.EditedAug 14 2015, 9:20 PM

In test wiki:

+--------------+
| user_name    |
+--------------+
| RoanKattouw  |
| Etonkovidova |
+--------------+
2 rows in set (0.00 sec)

' Restore all default settings ' in user Preferences makes all editing icons to be displayed.

Change 231717 had a related patch set uploaded (by Catrope):
Follow-up 89a5bbca8e: add b/c logic for 'none' meaning 'wikitext'

https://gerrit.wikimedia.org/r/231717

There was b/c logic for this in the original change, but new code added in 89a5bbca8e bypassed it.

Catrope claimed this task.Aug 14 2015, 11:39 PM
Catrope triaged this task as Unbreak Now! priority.
Catrope set Security to None.

Change 231717 merged by jenkins-bot:
Follow-up 89a5bbca8e: add b/c logic for 'none' meaning 'wikitext'

https://gerrit.wikimedia.org/r/231717

Etonkovidova added a comment.EditedAug 17 2015, 4:08 PM

Checked in betalabs including the case when flow-editor is set to 'none' for a user.

DannyH closed this task as Resolved.Aug 19 2015, 6:56 PM
DannyH added a subscriber: DannyH.